File::Spec::Unix(3)

NAME
File::Spec::Unix - methods used by File::Spec

SYNOPSIS
require File::Spec::Unix;

DESCRIPTION
Methods for manipulating file specifications.

METHODS

canonpath
    No physical check on the filesystem, but a logical cleanup of a path. On UNIX eliminated successive slashes and successive "/.".

catdir
    Concatenate two or more directory names to form a complete path ending with a directory. But remove the trailing slash from the resulting string, because it doesn't look good, isn't necessary and confuses OS2. Of course, if this is the root directory, don't cut off the trailing slash :-)

catfile
    Concatenate one or more directory names and a filename to form a complete path ending with a filename

curdir
    Returns a string representing of the current directory. "." on UNIX.

rootdir
    Returns a string representing of the root directory. "/" on UNIX.

updir
    Returns a string representing of the parent directory. ".." on UNIX.

no_upwards
    Given a list of file names, strip out those that refer to a parent directory. (Does not strip symlinks, only '.', '..', and equivalents.)

file_name_is_absolute
    Takes as argument a path and returns true, if it is an absolute path.

path
    Takes no argument, returns the environment variable PATH as an array.

join
    join is the same as catfile.

nativename
    TBW.

SEE ALSO
the File::Spec manpage